curl --request POST 'https://api-empresas.uat.topup.com.co/production/api/v1/payout' \
--header 'Token-Top: your_auth_token' \
--header 'Authorization: Basic your_auth_key' \
--header 'Content-Type: application/json' \
--data-raw '{
"payment_method": "BANK_TRANSFER",
"reference": "3cNPNGbX7meiMppXzVz7g781ysektqq5X",
"amount": 1000,
"currency": "COP",
"country": "CO",
"ipn_url": "http://example.com/tu-webhook",
"customer_data": {
"legal_doc": "1002184990",
"legal_doc_type": "CC",
"phone_code": "57",
"phone_number": "3003540831",
"email": "johndoe@email.com",
"full_name": "John Doe",
"bank": "EXAMPLE_BANK",
"account_number": "3990000011",
"account_type": "AHORRO"
}
}'
{
"code": "01",
"status": "SUCCESS",
"message": "Operacion exitosa",
"data": {
"ticket": "19kazMPNue2fOIp",
"date": "2025-10-16 00:58:54",
"transaction": {
"reference": "3cNPNGbX7meiMppXzVz7g781ysektqq5X",
"amount": 1000,
"currency": "COP",
"payment_method": "BANK_TRANSFER"
}
}
}
PayOut API
POST Initiate PayOut Transaction
Initialize a new PayOut transaction for disbursement
POST
/
payout
curl --request POST 'https://api-empresas.uat.topup.com.co/production/api/v1/payout' \
--header 'Token-Top: your_auth_token' \
--header 'Authorization: Basic your_auth_key' \
--header 'Content-Type: application/json' \
--data-raw '{
"payment_method": "BANK_TRANSFER",
"reference": "3cNPNGbX7meiMppXzVz7g781ysektqq5X",
"amount": 1000,
"currency": "COP",
"country": "CO",
"ipn_url": "http://example.com/tu-webhook",
"customer_data": {
"legal_doc": "1002184990",
"legal_doc_type": "CC",
"phone_code": "57",
"phone_number": "3003540831",
"email": "johndoe@email.com",
"full_name": "John Doe",
"bank": "EXAMPLE_BANK",
"account_number": "3990000011",
"account_type": "AHORRO"
}
}'
{
"code": "01",
"status": "SUCCESS",
"message": "Operacion exitosa",
"data": {
"ticket": "19kazMPNue2fOIp",
"date": "2025-10-16 00:58:54",
"transaction": {
"reference": "3cNPNGbX7meiMppXzVz7g781ysektqq5X",
"amount": 1000,
"currency": "COP",
"payment_method": "BANK_TRANSFER"
}
}
}
Initialize a new PayOut transaction for disbursement to bank accounts.
This endpoint allows you to send money to your customers’ bank accounts using bank transfers.
curl --request POST 'https://api-empresas.uat.topup.com.co/production/api/v1/payout' \
--header 'Token-Top: your_auth_token' \
--header 'Authorization: Basic your_auth_key' \
--header 'Content-Type: application/json' \
--data-raw '{
"payment_method": "BANK_TRANSFER",
"reference": "3cNPNGbX7meiMppXzVz7g781ysektqq5X",
"amount": 1000,
"currency": "COP",
"country": "CO",
"ipn_url": "http://example.com/tu-webhook",
"customer_data": {
"legal_doc": "1002184990",
"legal_doc_type": "CC",
"phone_code": "57",
"phone_number": "3003540831",
"email": "johndoe@email.com",
"full_name": "John Doe",
"bank": "EXAMPLE_BANK",
"account_number": "3990000011",
"account_type": "AHORRO"
}
}'
{
"code": "01",
"status": "SUCCESS",
"message": "Operacion exitosa",
"data": {
"ticket": "19kazMPNue2fOIp",
"date": "2025-10-16 00:58:54",
"transaction": {
"reference": "3cNPNGbX7meiMppXzVz7g781ysektqq5X",
"amount": 1000,
"currency": "COP",
"payment_method": "BANK_TRANSFER"
}
}
}
Required Headers
Request Body Parameters
Payment method. Supported methods:
BANK_TRANSFER, BREB. Refer to Country-Specific Information for the list of available methods per country.For Bre-B integration details, see Bre-B Integration. Availability varies by country.Show Customer data object
Show Customer data object
Type of document. See Country-Specific Information for available document types.
Destination bank. See Country-Specific Information for available banks.
Type of destination account. See Country-Specific Information for available account types.
Response
Authorizations
Body
application/json